#ifndef FILES_POOL_H
#define FILES_POOL_H
#include "stopos_pool.h"
#include "stopos_key.h"
#include "stopos.h"

class files_pool: public stopos_pool
{
  private:

    int get_record(datarecord &r, const stopos_key &k);
    int put_record(datarecord &r, const stopos_key &k);
    int remove_record(const stopos_key &k);
    int get_status(void);
    int put_status(void);
    int lockfile;
    std::string lockfilename;

    void create_fname(std::string &fname,const stopos_key &k);

    const static int STATUSTOOLONG = 101;
    const static int NOTDIR = 102;

    std::string dir_suffix;

  public:
    files_pool();
    void set_db_name(std::string name);
    int create_db(void);
    int purge_db(void);
    int open_db(void);
    int close_db(void);
    void dump_db(void);
};
#endif
