#ifndef FLATFILE_POOL_H
#define FLATFILE_POOL_H
#include "stopos_pool.h"
#include "stopos_key.h"
#include "stopos.h"

class flatstatusrecord: statusrecord
{
  longuint nextd;
};

class flatfile_pool: public stopos_pool
{
  private:
    int ff;    // handle of file to be used

    int get_record(datarecord &r, const stopos_key &k);
    int put_record(datarecord &r, const stopos_key &k);
    int remove_record(const stopos_key &k);
    int get_status(void);
    int put_status(void);
    int write_string(std::string &r,off_t p);
    int read_string(std::string &r,off_t p);

    const static int STATUSTOOLONG = 101;

    const static char deleted = 'd';
    const static char exists  = ' ';

  public:
    flatfile_pool();
    int create_db(void);
    int purge_db(void);
    int open_db(void);
    int close_db(void);
    void dump_db(void);
};

#endif
